go-ring API Reference
OpenapiDevice Settings

Get device settings

Retrieves the current settings for a device.

GET
/devices/v1/devices/{device_id}/settings

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

application/json

curl -X GET "https://example.com/devices/v1/devices/1/settings"
{  "motion_settings": {    "motion_detection_enabled": true  },  "ptz_settings": {},  "video_settings": {}}